Installing our Plugins

General Viewed: 5769

Installing our plugin works like installing any other WordPress plugin. Follow the small guide below and you are ready to continue with the setup.

Requirements

The following things are required to run this script:

Installation

Upload the ZIP via the wordpress backend

  • Log into your website backend /wp-admin/
  • Go to Plugins -> Install -> Upload Plugin
  • Select the ZIP file and upload it
  • Install our weLaunch Framework
  • Active it and that’s it!

Upload it via FTP

  • Log into your webserver via FTP
  • Unzip the file on your PC
  • Upload the extracted folder to /wp-content/plugins/
  • Go into your backend and activate the Plugin
  • Install our weLaunch Framework

Get an error during Installation?

  • “No Valid plugins found” -> Please unzip the downloaded main zip locally first. On your desktop you will 2 new plugin zips. These you need to upload.
  • “Upload Error / File Size” -> Some of our plugins are 50mb and more. To fix this, please increase your max upload limits in your php.ini file. If you are not sure about this, you can ask your hoster. If you are not allowed to, you can also upload our files manually via FTP.

Auto updates

If you want to get updates automatically please visit our guide how to get plugin updates here.

27 thoughts on “Installing our Plugins

  1. Aloysio Chagas says:

    Hello, I’m getting http error 500 after install this plugin. Do you know what is happening? Now I’m uninstalled changing the name of the folder in the plugin directory.

    • WeLaunch says:

      Hi Aloysio,

      you may need to increase your php memory limit or increase php version to at least 5.6+.

      However without an error log its hard to say what the error is. Best is to turn on wp_debug_log.

  2. Mikhail says:

    Hello, how can I change the skins and the way it looks? Mine doesn’t look the same as the demo, and I would like to change it. Please advise

  3. Mitsuo K says:

    Hi, When I active it, getting this error. How I can fix it?

    Parse error: syntax error, unexpected ‘.’, expecting ‘&’ or T_VARIABLE in ../wp-content/wordpress-store-locator/vendor/markbaker/complex/classes/src/operations/add.php on line 18

  4. Denni Griffith says:

    I just purchased and installed the plugin on a multi-site network and network activated.
    There are no store locator settings appearing after install in the left menu.
    Is this plugin multi-site compatible?
    Thanks.

  5. Ilex says:

    after plugin installation i see this error:
    You are not on a multisite – plugin only works on Multisite Environments.

    please help fix it

  6. craig lyndon says:

    Getting this error.

    Fatal error: Array and string offset access syntax with curly braces is no longer supported in /nas/content/live/……/wp-content/plugins/woocommerce-print-products/vendor/mpdf/mpdf/src/Mpdf.php on line 2209

  7. Ced says:

    Hello, after migrating a website from dev to live environement, i get this error :

    WooCommerce Attribute Images requires the WooCommerce & weLaunch Framework plugin. Please install or activate them before: https://www.welaunch.io/updates/welaunch-framework.zip

    Dismiss this notice.
    WooCommerce PDF Catalog requires the WooCommerce and WeLaunch Framework plugin. Please install or activate them before! https://www.welaunch.io/updates/welaunch-framework.zip

    WooCommerce Wishlist requires the WooCommerce & weLaunch Framework plugin. Please install or activate them: https://www.welaunch.io/updates/welaunch-framework.zip

    But the framework is activated. I tried to reinstall it without success, do you have an idea?

    thanks for your help

  8. Camille says:

    Hello,

    I can’t activate the plugin woocomerce-delivery.

    I added welaunch-framework and set up the licence.
    Then i add woocomerce-delivery plugin. Then when i want to activate it, i can’t find it in BO.
    I can see it by using “wp plugin list” command but it’s deactivated. And when i use “wp plugin activate woocomerce-plugin –network” command, it won’t activate.

    Any idea ?

  9. Jakub says:

    I receive an information when I try to manualny instal first the weLaunch Framework Incompatible archive. Do you have any solution for this situation?

    • Daniel says:

      In our welaunch plugin you can add the licenses of our plugin to get auto updates. The plugin itself does not need a license.

  10. Patric says:

    I am getting the following error:

    There has been a critical error on this website. Please check your site admin email inbox for instructions.

  11. martin says:

    I installed the framework. Ok.
    I added the license. OK
    When I tried to upload the plugin woo commerce pdf catalog . the error “The link you followed has expired.
    Please try again.”

Leave a Reply

Your email address will not be published. Required fields are marked *